### Method

# Gio Subprocess communicate_async

#### Declaration [src]

    void
    g_subprocess_communicate_async (
      GSubprocess* subprocess,
      GBytes* stdin_buf,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronous version of g_subprocess_communicate(). Complete invocation with g_subprocess_communicate_finish().

This method completes asynchronously. Use `g_subprocess_communicate_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`stdin_buf`

  Type: `GBytes`

  Input data, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Cancellable.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.